#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       kdialog
Summary:    KDialog can be used to show nice dialog boxes from shell scripts
Version: 17.12.2
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5KIO)

BuildRequires: pkgconfig(Qt5DBus)

BuildRequires: pkgconfig(x11)

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
KDialog can be used to show nice dialog boxes from shell scripts

%files -f %name.lang
%_kf5_bindir/kdialog
%_kf5_bindir/kdialog_progress_helper
%_datadir/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202259
- New version 17.12.2
- New version 17.12.1

* Mon Mar 27 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1094992
- Add 17.04 patches fixing upstream bugs

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090055
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076791
- New version 16.12.0

* Tue Dec 13 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074472
- imported package kdialog

